<app-nav-bar></app-nav-bar>


<div class="background">
  <hr/>

  <form #apartmentForm="ngForm">
    <div class="row">
      <div class="vertical"></div>

      <div class="center-block">

        <div class="form-group">
          <label for="numOfRooms" class="label">Number of rooms</label>
          <input id="numOfRooms" type="number" class="form-control" name="numOfRooms" [(ngModel)]="apartment.RoomNumber" required>
        </div>
        <div class="form-group">
          <label for="numOfGuest" class="label">Number of guests</label>
          <input id="numOfGuest" type="number" class="form-control" name="numOfGuest" [(ngModel)]="apartment.GuestNumber" required>
        </div>
        <div class="form-group">
          <label class="label">Type of apartment</label>
          <select name=type class="form-control" [(ngModel)]="apartment.Type" required>
            <option>Whole apartment</option>
            <option>Room</option>
          </select>
        </div>
        <div class="form-group">
          <label for="address" class="label">Street</label>
          <input id="address" type="text" class="form-control" name="address" placeholder="Street"
                 [(ngModel)]="apartment.Location.Address.Street" required>
          <label for="ad" class="label">City</label>
          <input id="ad" type="text" class="form-control" name="address" placeholder="City"
                 [(ngModel)]="apartment.Location.Address.City" required>
          <label for="aaa" class="label">Postal code</label>
          <input id="aaa" type="number" class="form-control" name="address" placeholder="Postal code"
                 [(ngModel)]="apartment.Location.Address.ZipCode" required>
        </div>

      </div>
      <div class="center-block">
        <div class="form-group">
          <div class="form-group">
            <label for="price" class="label">Price for night</label>
            <input id="price" type="number" class="form-control" name="price" [(ngModel)]="apartment.Price" required>
          </div>
          <label for="datepicker1" class="label">Start date</label>
          <ejs-datepicker id='datepicker1' placeholder='Select a date' name="ei"
                          [(ngModel)]="startDate" [value]='startDate' [min]='minDate' [max]='maxDate' required></ejs-datepicker>

        </div>
        <div class="form-group">
          <label for="datepicker2" class="label">End date</label>
          <ejs-datepicker id='datepicker2' placeholder='Select a date' name='fha' [(ngModel)]="endDate"
                          [value]='endDate' [min]='minDate' [max]='maxDate' required></ejs-datepicker>

        </div>
        <div class="row">
          <div class="form-group">
            <label class="label">Sign up time</label>
            <ngb-timepicker name="singup" [(ngModel)]="signUpTime" required></ngb-timepicker>
          </div>
          <div style="margin-left: 15%;" class="form-group">
            <label class="label">Check out time</label>
            <ngb-timepicker name="checkOut" [(ngModel)]="checkOutTime" required></ngb-timepicker>
          </div>
        </div>

        <div class="form-group">
          <label for="pictures" class="label">Pictures</label>
          <input id="pictures" type="file" class="form-control" name="pictures" multiple>
        </div>
      </div>
      <!--      <input [owlDateTimeTrigger]="dt3" [owlDateTime]="dt3">-->
      <!--      <owl-date-time [pickerType]="'calendar'" #dt3></owl-date-time>-->

    </div>
    <hr/>
    <h6 style="text-align: center">Choose amenities for your apartment</h6>
    <div class="row">
      <ul *ngFor="let a of amenities; let i = index">
        <li>{{a.Description}} <input class="amenity" type="checkbox" name="amenity" (click)="action()"
                         [(ngModel)]="checked[i]['checked']"></li>
      </ul>
    </div>

    <div class="form-group">
      <button class="btn btn-primary"(click)="addApartment();" [disabled]="apartmentForm.form.invalid">Add new apartment</button>
    </div>


  </form>
</div>

